@font-face {
    font-family: DancingScript;
    src: url('/font/DancingScript-Bold.ttf');
    font-weight: bold;
}

html {
    height: 100%;
    outline: none;
}

body {
    outline: none;
    min-height: 100%;
    height: auto;
    overflow-y: auto;
    font-family: 'Roboto', sans-serif;
    line-height: 22px;
    -webkit-overflow-scrolling: touch;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 0px !important;
    color: black;
    width: 100%;
    min-height: 100vh;
}

a {
    text-decoration: none;
}

.bg-background {
    background-image: url('/simple_res/login_bg.png');
    background-color: rgb(226, 234, 247);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    color: black;
}

.content_center_column {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.content_center_hor {
    display: flex;
    justify-content: center;
    align-items: center;
}

.font_small {
    font-size: 0.8rem;
}

.font_large {
    font-size: 1.3rem;
}


.login_logo_size {
    height: 150px;
}

.login_form {
    background-color: white;
    box-shadow: rgb(211, 211, 211) 0px 0px 5px;
    border-radius: 20px;
}

.login_form_text {
    color: #003d6d;
}

.login_btn {
    background-color: #003d6d;
    height: 3rem;
    color: white;
    border: none;
    border-radius: 1rem;
    font-size: 1rem;
}

.login_btn:hover {
    background-color: #003d6d;
    color: rgb(122, 123, 223);
}

.main_head {
    background: rgba(255, 255, 255, 0.7);
    height: 6rem;
    z-index: 9;
    position: fixed;
}

.main_msg_numb {
    padding: 5px 10px;
    margin-right: 20px;
    margin-left: 5px;
    border-radius: 15px;
    background: #ff0090;
    color: black;
    backdrop-filter: saturate(125%) blur(10px);
}

.main_tips_bg {
    border-radius: 20px;
    z-index: 3;
    overflow: hidden;
}

.run-block-text {
    /*position: relative;*/
    animation: run-txt 30S linear infinite;
    color: black;
    /*overflow: hidden;*/
    font-size: 16px;
    white-space: nowrap;
    width: fit-content;
    content: attr(text);
}


@keyframes run-txt {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

.main_menu_title {
    font-size: 2rem;
    font-weight: bold;
    color: black;
    font-family: DancingScript;
}

.main_level_size {
    width: 1rem;
}

.main-action-icon {
    height: 30px;
}


.main-action-icon-block {
    width: 40px;
    height: 40px;
    /* background: rgba(130, 130, 130, 0.6); */
    background: rgba(255, 255, 255, 0.8);
    border-radius: 10px;
    box-shadow: 0 0 10px #cccccc;
    padding: 15px;
}

.main-action-icon-text {
    color: black;
    /*text-wrap:nowrap;*/
    font-size: 14px;
}

.tab_bar {
    height: auto;
    position: fixed;
    padding-bottom: env(safe-area-inset-bottom);
    bottom: 0;
    left: 0;
    z-index: 9;
    transition: all ease 0.5s;
    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    -ms-transition: all ease 0.5s;
    background: rgba(2, 41, 72, 1);
    box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0px -3px 10px rgba(0, 0, 0, 0.1);
    -webkit-backdrop-filter: saturate(125%) blur(10px);
    -moz-backdrop-filter: saturate(125%) blur(10px);
    -ms-backdrop-filter: saturate(125%) blur(10px);
    backdrop-filter: saturate(125%) blur(10px);
}


.tab_bar {
    border-radius: 10px 10px 0 0;
    position: fixed;
    width: 100%;
    height: auto;
    bottom: 0;
    z-index: 9;
}

.tab_bar div.active {
    background: -moz-linear-gradient(top, #022848 50%, #2d609b 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(50%, #022848), color-stop(100%, #2d609b));
    background: -webkit-linear-gradient(top, #022848 50%, #2d609b 100%);
    background: -o-linear-gradient(top, #022848 50%, #2d609b 100%);
    background: -ms-linear-gradient(top, #022848 50%, #2d609b 100%);
    background: linear-gradient(to bottom, #022848 50%, #2d609b 100%);
}

.tab_bar_a {
    text-decoration: none;
    color: white;
}

.tab_bar_item {
    padding: 10px;
    flex-grow: 1;
    text-align: center;
}

.tab_bar_item_img {
    height: 40px;
}

.tab_bar_item_middle {
    height: 60px;
    margin-top: -40px;
}

.profile_card_bg {
    margin: 1rem;
    padding: 0.2rem;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.5);
}

.order-list-item-title {
    /*padding: 0;*/
    font-size: 14px;
    font-weight: normal;
    /*margin: 5px 10px;*/
}

.home_drawer_logout_btn {
    padding: 10px;
}

.pending_icon_style {
    width: 80px;
    height: 80px;
    position: absolute;
    transform: rotate(322deg);
}

.deposit-page-item-bg {
    margin: 10px;
    background: white;
    box-shadow: 0 0 10px #cccccc;
    border-radius: 10px;
    padding: 10px;
}

.deposit-page-item-type {
    color: #ea5413;
}

.share_code_block {
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 30px #cccccc;
    margin: 40px;
    padding: 40px 0;
    border-radius: 10px;
}

.team_card {
    background: rgba(240, 240, 240, 0.9);
    border-radius: 15px;
    padding: 0.5rem;
}

.list-item {
    margin: 5px 5px;
    border-radius: 10px;
    background: white;
    box-shadow: 0 0 30px #cccccc;
    padding: 10px;
}

.order-list-item-title {
    /*padding: 0;*/
    font-size: 16px;
    font-weight: normal;
    margin: 0px 10px;
}

.order-list-item-value {
    /*padding-right: 10px;*/
    color: red;
    font-weight: bold;
    font-size: 16px;
    text-align: right;
    margin: 5px 10px;
}

.loading_order_detail_progress_tips {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.withdrawal-input-title-value,
.withdrawal-page-account-value {
    color: #ea5413;
}

.withdrawal-input-section-bg {
    background: white;
    /*box-shadow: 0 0 30px #cccccc*/
    padding: 20px 10px;
    border-radius: 10px;
    margin-bottom: 20px;
}

.order-list-item-img{
    width: 60px;
    border-radius: 5px;
}

.withdrawal_account_block {
    /*background: rgba(130,130,130,0.6);*/
    background: white;
    margin: 10px;
    padding: 10px;
    border-radius: 10px;
}

.el-message.is-center {
    top: 40% !important;
}

.el-select__wrapper {
    height: 40px;
}

.el-input__inner {
    height: 40px;
}

.el-divider--horizontal {
    margin: 7px 0 !important;
}

.el-page-header__content {
    color: white;
}

.el-message {
    min-width: 380px;
}

.el-message-box {
    width: 220px;
}

.el-tabs__active-bar {
    background-color: #ea5413;
}

.el-tabs__item.is-active,
.el-tabs__item:hover {
    color: #ea5413 !important;
}

.el-checkbox__input.is-checked+.el-checkbox__label {
    color: black;
}

.el-dialog {
    width: 300px;
    border-radius: 20px;
}

.el-dialog__title {
    font-size: 1.5rem;
    font-weight: bold;
    color: #ea5413;
}

.el-page-header {
    height: 4rem !important;
    line-height: 4rem;
    background: rgba(234, 84, 19, 1);
    color: white;
}

.el-page-header .el-page-header__left {
    margin-left: 20px;
}

.el-page-header__header {
    height: 100%;
}